## osso-ipv6 0.1-12

=== Makefile ===

FILES=osso-ipv6-enable.sh osso-ipv6-disable.sh gconf_escape

gconf_escape: gconf_escape.o
	gcc -o gconf_escape `pkg-config --libs gconf-2.0` gconf_escape.o

gconf_escape.o: gconf_escape.c
	gcc -c -o gconf_escape.o `pkg-config --cflags gconf-2.0`  gconf_escape.c

rs-script: 20_ipv6_router_solic 30_ipv6_set_route
	cp -f 20_ipv6_router_solic ${DESTDIR}/etc/network/if-up.d
	cp -f 30_ipv6_set_route ${DESTDIR}/etc/network/if-up.d
	chmod 755 ${DESTDIR}/etc/network/if-up.d

build:
	echo "build done"

install: rs-script
	strip -s gconf_escape
	cp -f ${FILES} ${DESTDIR}/usr/bin

distclean: clean

maintainer-clean: clean

clean:
	rm -rf debian/tmp build-stamp configure-stamp gconf_escape.o gconf_escape config.guess config.sub debian/*.debhelper debian/*.substvars debian/osso-ipv6 debian/files

=== debian/changelog ===
osso-ipv6 (0.1-12) fremantle; urgency=low

  * Builded for Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 03 Jun 2012 23:55:32 +0200

osso-ipv6 (0.1-12) unstable; urgency=low

  * Show IAP name in the IAP list (makes the script more user friendly)

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 25 Feb 2008 13:40:33 +0200

osso-ipv6 (0.1-11) unstable; urgency=low

  * IPv6 initialization moved later. Fixes: NB#80715

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Fri, 15 Feb 2008 11:21:41 +0200

osso-ipv6 (0.1-10) unstable; urgency=low

  * Name of the interfaces setting in gconf changed.
  * Added --default option to osso-ipv6-*.sh scripts. The option sets IPv6
    settings in gconf to factory defaults.
  * osso-ipv6-disable.sh does not unload the modules by default any more

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 13 Feb 2008 09:13:18 +0200

osso-ipv6 (0.1-9) unstable; urgency=low

  * Removed dependency to libicd-network-ipv6 module because of stupid
    Nokia dependency rules.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 21 Jan 2008 15:54:38 +0200

osso-ipv6 (0.1-8) unstable; urgency=low

  * Added autoconfig support.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 27 Dec 2007 13:21:07 +0200

osso-ipv6 (0.1-7) unstable; urgency=low

  * The osso-ipv6-enable.sh script can be used to clear dhcpv6 list.
    This way it is possible to create a system where no DHCPv6 is being
    used but IPv6 is still enabled. Fixes: NB#74022

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Tue, 27 Nov 2007 15:22:04 +0200

osso-ipv6 (0.1-6) unstable; urgency=low

  * Added network script that sets the route for outgoing IPv6 connections.
    This is just a workaround for bug
    http://bugzilla.kernel.org/show_bug.cgi?id=8382 found in the kernel.
    When the bug is fixed, the route setup can be removed.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 19 Nov 2007 17:51:41 +0200

osso-ipv6 (0.1-5) unstable; urgency=low

  * Added ipv6 idletimer module.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon, 19 Nov 2007 14:04:51 +0200

osso-ipv6 (0.1-4) unstable; urgency=low

  * If osso-ipv6-enable.sh is executed without parameters, it shows
    current status and does not change the settings.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Wed, 24 Oct 2007 17:28:37 +0300

osso-ipv6 (0.1-3) unstable; urgency=low

  * Lintian errors fixed.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  1 Oct 2007 13:44:51 +0300

osso-ipv6 (0.1-2) unstable; urgency=low

  * Send IPv6 router solicitation when interface is up. Implemented: NR#185802

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Mon,  1 Oct 2007 13:04:44 +0300

osso-ipv6 (0.1-1) unstable; urgency=low

  * Initial release.

 -- Jukka Rissanen <jukka.rissanen@nokia.com>  Thu, 8 Mar 2007 10:60:23 +0300

=== debian/control ===
Source: osso-ipv6
Section: comm
Priority: optional
Maintainer: Pali Rohár <pali.rohar@gmail.com>
XSBC-Original-Maintainer: Jukka Rissanen <jukka.rissanen@nokia.com>
Build-Depends: libgconf2-dev, debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: osso-ipv6
Architecture: any
Depends: gconf2, iproute (>=20061002), wide-dhcpv6-client (>=20070507-3osso1), osso-rtsol, libip6t-idletimer, iptables (>=1.3.6)
Description: Meta package for IPv6 support in OSSO
 .

=== debian/rules ===
#!/usr/bin/make -f

PKG_DIR=osso-ipv6

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	touch build-stamp
	make

clean:

	dh_testdir
	dh_testroot

	-rm -f configure-stamp build-stamp 

	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

	dh_clean

install: build

	dh_testdir
	dh_testroot
	dh_clean -k
	mkdir -p debian/osso-ipv6/usr/bin
	mkdir -p debian/osso-ipv6/etc/network/if-up.d
	$(MAKE) install DESTDIR=$(CURDIR)/debian/osso-ipv6

binary-indep: build install
binary-arch: build install

	dh_testdir
	dh_testroot
	dh_gconf -a
#	dh_installdocs -a AUTHORS NEWS README THANKS
#	dh_installmenu -a
#	dh_installchangelogs ChangeLog -a
	dh_installchangelogs -a
#	dh_install --sourcedir=debian/tmp -v
	dh_install -v
	dh_installinit -- start 54 2 . stop 20 0 1 5 6 .
	dh_installman -a
	dh_link -a
#	dh_strip -a --dbg-package=osso-ipv6
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -V -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## osso-ipv6 0.1-13

=== debian/changelog ===
osso-ipv6 (0.1-13) fremantle; urgency=low

  * Fix scripts for Maemo 5

 -- Pali Rohár <pali.rohar@gmail.com>  Thu, 13 Sep 2012 15:14:13 +0200

## osso-ipv6 0.1-14

=== debian/changelog ===
osso-ipv6 (0.1-14) fremantle; urgency=low

  * Fixed event.d config file

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 14 Sep 2012 20:22:55 +0200

=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,8 @@
 #	dh_install --sourcedir=debian/tmp -v
 	dh_install -v
 	dh_installinit -- start 54 2 . stop 20 0 1 5 6 .
+	mkdir -p debian/osso-ipv6/etc/event.d/
+	cp debian/osso-ipv6.event.d debian/osso-ipv6/etc/event.d/osso-ipv6
 	dh_installman -a
 	dh_link -a
 #	dh_strip -a --dbg-package=osso-ipv6
